Name:           xf86-video-cirrus
Version:        1.5.1
Release:        0
License:        MIT
Summary:        Cirrus Logic video driver for the Xorg X server
Url:            http://xorg.freedesktop.org/
Group:          System/X11/Servers/XF86_4
Source0:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM cirrus-1.2.0-qemu.patch fcrozat@suse.com -- Avoid 10x7 heuristic, handled by server (Fedora)
Patch0:         u_cirrus-qemu.patch
# PATCH-FIX-UPSTREAM cirrus-1.3.2-virt-16bpp.patch fcrozat@suse.com -- Use 16bpp when running in virt (Fedora)
Patch1:         u_cirrus-virt-16bpp.patch

BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(resourceproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.2
BuildRequires:  pkgconfig(xorg-server) >= 1.4
BuildRequires:  pkgconfig(xproto)
Supplements:    modalias(xorg-server:pci:v00001013d00000038sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-server:pci:v00001013d000000A0sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-server:pci:v00001013d000000A4sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-server:pci:v00001013d000000A8sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-server:pci:v00001013d000000ACsv*sd*bc*sc*i*)
Supplements:    modalias(xorg-server:pci:v00001013d000000B8sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-server:pci:v00001013d000000BCsv*sd*bc*sc*i*)
Supplements:    modalias(xorg-server:pci:v00001013d000000D0sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-server:pci:v00001013d000000D4sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-server:pci:v00001013d000000D6sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-server:pci:v00001013d00001202sv*sd*bc*sc*i*)
# This was part of the xorg-x11-driver-video package up to version 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
cirrus is an Xorg driver for Cirrus Logic video cards.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/cirrus_alpine.so
%{_libdir}/xorg/modules/drivers/cirrus_laguna.so
%{_libdir}/xorg/modules/drivers/cirrus_drv.so
%{_mandir}/man4/cirrus.4%{?ext_man}

%changelog
